Subject: RE: [SIP] Out-of-Band DTMF in SIP

From: "Bratakos, Maroula" <[email-masked]>
Date: Wed, 14 Jun 2000 12:51:07 -0700

Even devices that don't speak mgcp or megaco could implement the out-of-band
DTMF using the method described in the culpepper draft because it only uses
a very small subset of mgcp/megaco commands.  I think it is a cleaner method
than carrying RTP in the INFO message because you don't have to worry about
absolute time or the payload type, which for avt-tones is dynamic.  And the
mgcp/megaco commands provide a way to request DTMF via INFO to be turned
on/off, which is a major plus.  I'm not sure how you would turn INFO on/off
with RTP.

Regards,
Maroula Bratakos

-----Original Message-----
From: Henning Schulzrinne [mailto:[email-masked]]
Sent: Wednesday, June 14, 2000 7:20 AM
To: Dave Walker
Cc: Culpepper, Bert; SIP List
Subject: Re: [SIP] Out-of-Band DTMF in SIP

Dave Walker wrote:
> 
> What would you like to see?  I don't think that agreement on the
> MIME-type is going to be easy to get.  Your draft suggested MGCP
> events, others might prefer megaco.  A SIP phone may not speak
> either, but if it uses RFC2833 it would be easy to send audio/tone
> MIME-type inside of INFO.  We already have the Accept headers for
> this kind of thing.  Would you like to see an option-tag defined
> for it?
> 

While this not be a bad idea (I might be biased, here...), it does need
a bit more work, since carrying RTP packets in INFO would require some
way of mapping RTP timestamps to absolute time [RTCP does this] and,
less importantly, decide what significance the payload type (PT) field
has in this context. Obviously, if you only need a duration, not
absolute timing, sticking RTP packets into INFO is sufficient. However,
you'd probably not want to use every such RTP packet, only when a new
digit has been detected.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 14 Jun 2000 16:00:34 -0400

> absolute time or the payload type, which for avt-tones is dynamic.  And the

Since the PT doesn't matter, you can ignore it. The timestamp is a wash:
with MGCP-lite, you don't get any better timing information than the
arrival of the MGCP packet, which is what RTP also provides by simply
ignoring the timestamp. RTP gives you better relative timing between
tones, based on timestamps.

> on/off, which is a major plus.  I'm not sure how you would turn INFO on/off

Easy: don't put the MIME type in Accept. It would be more difficult to
change your mind mid-call.